Component({
  properties: {
    title: {
      type: String,
      value: '',
    },
    size: {
      type: Number,
      value: 5,
    },
    list: {
      type: Array,
      value: [],
      observer(newVal) {
        this.filterUnshow();
      },
    },
  },

  attached() {
    this.filterUnshow();
  },

  data: {
    newList: [],
  },

  methods: {
    filterUnshow() {
      const newList = this.properties.list.filter((item) => item.isShow);
      this.setData({
        newList: newList,
      });
    },
  },
});
