### 描述

基于 vant-weapp 的[带 Tab 键的滑动列表封装]

用于页面 tab 栏的切换，支持页面内容的切换，并且可支持上拉刷新、下拉加载

### 使用时需要传递的参数

| 参数           | 说明                         | 类型    | 默认值                             | 备注 |
| -------------- | ---------------------------- | ------- | ---------------------------------- | ---- |
| tabList        | tab 列表所含的值             | Array   | []                                 |
| lineWidth      | tab 选项的下的线的宽度       | Number  | 40                                 |
| lineHeight     | tab 选项的下的线的高度       | Number  | 3                                  |
| color          | 刷新背景色                   | string  | #eef1f4                            |
| tabColor       | tab 选项的下的线的颜色       | string  | #45A9ED                            |
| heightStyle    | 自定义 scroll-view 的 style  | string  | height:calc(100vh - 44px - 94rpx); |
| params         | 需要发送请求的参数           | array   | null[]                             |
| tabClass       | tab 标签样式类               | object  | null                               |
| tabActiveClass | tab 标签激活态样式类         | object  |
| hasInfo        | 是否含有右上角提示信息       | boolean | false                              |
| useParse       | 返回结果需要 JSON.parse 处理 | boolean | false                              |
| fetchFunction  | 数组/右上角提示信息请求函数  | object  | () => {}                           |

### 返回信息的使用

getIndex():可以通过绑定该函数获取到点击 tab 键拿到的 tab 对应的 index
-- 此函数分为两种情况，第一次进去进行请求时：isClick 为 false，点击进行请求时：isClick 为 true，根据此来判定请求发起的类型，避免 index 变化导致列表无法显示
getList():可以通过绑定该函数拿到每个 tab 对应的 list
