module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 4);
/******/ })
/************************************************************************/
/******/ ({

/***/ 4:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

Component({
  options: {
    addGlobalClass: true
  },
  data: {
    list: [],
    pageNum: 1,
    totalPage: 1,
    scrollOffset: 0,
    hasRun: false
  },
  properties: {
    reduceHeight: {
      type: String,
      value: null
    },
    pageSize: {
      type: Number,
      value: 20
    },
    isRefreshLoading: {
      type: Boolean,
      value: false
    },
    color: {
      type: String,
      value: '#eef1f4'
    },
    params: {
      type: Object,
      value: null
    },
    fetchFunction: {
      type: Object,
      value: function value() {}
    }
  },

  pageLifetimes: {
    show: function show() {
      this.fetchData(true);
    }
  },
  methods: {
    fetchData: function fetchData(isBack, type) {
      var _this = this;

      if (this.data.totalPage < this.data.pageNum && !isBack) {
        return;
      }
      if (isBack) {
        this.setData({ pageNum: 1 }, _asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee() {
          return regeneratorRuntime.wrap(function _callee$(_context) {
            while (1) {
              switch (_context.prev = _context.next) {
                case 0:
                  _this.fetchRequest();

                case 1:
                case 'end':
                  return _context.stop();
              }
            }
          }, _callee, _this);
        })));
      } else {
        this.fetchRequest(type);
      }
    },
    fetchRequest: function () {
      var _ref2 = _asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee2(type) {
        var _this2 = this;

        var payload, _ref3, data;

        return regeneratorRuntime.wrap(function _callee2$(_context2) {
          while (1) {
            switch (_context2.prev = _context2.next) {
              case 0:
                payload = Object.assign({}, this.properties.params, {
                  pageNum: this.data.pageNum,
                  pageSize: this.properties.pageSize
                });
                _context2.next = 3;
                return this.properties.fetchFunction.fun(payload);

              case 3:
                _ref3 = _context2.sent;
                data = _ref3.data;

                if (data.list) {
                  data.list = data.list.map(function (item) {
                    if (item.question && item.question.startsWith('{')) {
                      item.question = JSON.parse(item.question);
                    }
                    return item;
                  });
                }
                if (type === 'lower') {
                  this.setData({ list: [].concat(this.data.list, data.list), totalPage: data.totalPage }, function () {
                    _this2.triggerEvent('getList', _this2.data.list);
                  });
                } else {
                  this.setData({ list: data.list, totalPage: data.totalPage }, function () {
                    _this2.triggerEvent('getList', _this2.data.list);
                  });
                }

              case 7:
              case 'end':
                return _context2.stop();
            }
          }
        }, _callee2, this);
      }));

      function fetchRequest(_x) {
        return _ref2.apply(this, arguments);
      }

      return fetchRequest;
    }(),
    bindrefresherrefresh: function bindrefresherrefresh() {
      var _this3 = this;

      this.setData({ pageNum: 1, totalPage: 1 }, _asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee3() {
        return regeneratorRuntime.wrap(function _callee3$(_context3) {
          while (1) {
            switch (_context3.prev = _context3.next) {
              case 0:
                _context3.next = 2;
                return _this3.fetchData();

              case 2:
                _this3.setData({ isRefreshLoading: false });

              case 3:
              case 'end':
                return _context3.stop();
            }
          }
        }, _callee3, _this3);
      })));
    },
    bindscrolltolower: function bindscrolltolower() {
      var _this4 = this;

      if (this.data.pageNum >= this.data.totalPage) {
        return;
      }
      //TODO 底部加载交互
      this.setData({ pageNum: this.data.pageNum + 1 }, function () {
        _this4.fetchData(false, 'lower');
      });
    }
  }
});

/***/ })

/******/ });
//# sourceMappingURL=index.js.map