module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 3);
/******/ })
/************************************************************************/
/******/ ({

/***/ 3:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

Component({
  options: {
    addGlobalClass: true,
    multipleSlots: true
  },
  properties: {
    tabList: {
      type: Array,
      value: []
    },
    lineWidth: {
      type: Number,
      value: 40
    },
    lineHeight: {
      type: Number,
      value: 3
    },
    color: {
      type: String,
      value: '#eef1f4'
    },
    tabColor: {
      type: String,
      value: '#45A9ED'
    },
    heightStyle: {
      type: String,
      value: 'height:calc(100vh - 44px - 94rpx);'
    },
    params: {
      type: Object,
      value: null
    },
    tabClass: {
      type: Object,
      value: null
    },
    tabActiveClass: {
      type: Object,
      value: null
    },
    hasInfo: {
      type: Boolean,
      value: false
    },
    useParse: {
      type: Boolean,
      value: false
    },
    fetchFunction: {
      type: Object,
      value: function value() {}
    }
  },
  data: {
    list: [],
    value: 0,
    scrollTop: 0,
    pageNumList: [],
    refreshList: [],
    scrollList: [],
    totalPageList: [],
    index: 0
  },
  pageLifetimes: {
    show: function show() {
      var length = this.properties.tabList.length;
      for (var i = 0; i < length; i++) {
        this.data.pageNumList.push(1);
        this.data.refreshList.push(false);
        this.data.scrollList.push([]);
        this.data.totalPageList.push(0);
      }
      this.getBadge();
      this.initData();
    }
  },
  methods: {
    initData: function () {
      var _ref = _asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee() {
        var i, myEventDetail;
        return regeneratorRuntime.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                for (i = 0; i < this.properties.tabList.length; i++) {
                  myEventDetail = { isClick: false, index: i };

                  this.triggerEvent('getIndex', myEventDetail);
                  this.fetchData({ index: i });
                }

              case 1:
              case 'end':
                return _context.stop();
            }
          }
        }, _callee, this);
      }));

      function initData() {
        return _ref.apply(this, arguments);
      }

      return initData;
    }(),
    onSubTabsTap: function onSubTabsTap(e) {
      var _this = this;

      this.getBadge();
      var index = e.detail.index;

      var myEventDetail = { isClick: true, index: index };
      this.triggerEvent('getIndex', myEventDetail);
      this.setData({ value: index, index: index }, function () {
        _this.fetchData({ index: index });
      });
    },
    fetchData: function () {
      var _ref3 = _asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee2(_ref2) {
        var index = _ref2.index,
            isLower = _ref2.isLower,
            isRefresh = _ref2.isRefresh;

        var _ref4, data, list, totalPage, scrollList, totalPageList, refreshList, myEventDetail;

        return regeneratorRuntime.wrap(function _callee2$(_context2) {
          while (1) {
            switch (_context2.prev = _context2.next) {
              case 0:
                _context2.next = 2;
                return this.properties.fetchFunction.fun(Object.assign({}, this.properties.params, {
                  pageNum: this.data.pageNumList[index],
                  pageSize: 40
                }));

              case 2:
                _ref4 = _context2.sent;
                data = _ref4.data;
                list = data.list || [];

                if (this.data.useParse) {
                  list = list.map(function (item) {
                    if (item.question && item.question.startsWith('{')) {
                      item.question = JSON.parse(item.question);
                    }
                    return item;
                  });
                }
                totalPage = data.totalPage;
                scrollList = [].concat(this.data.scrollList);

                scrollList[index] = isLower ? [].concat(scrollList[index], list) : list;
                this.setData({ scrollList: scrollList });
                totalPageList = [].concat(this.data.totalPageList);

                totalPageList[index] = totalPage;
                this.setData({ totalPageList: totalPageList });
                if (isRefresh) {
                  refreshList = [].concat(this.data.refreshList);

                  refreshList[index] = false;
                  this.setData({ refreshList: refreshList, scrollTop: 0 });
                }
                myEventDetail = this.data.scrollList;

                this.triggerEvent('getList', myEventDetail);

              case 16:
              case 'end':
                return _context2.stop();
            }
          }
        }, _callee2, this);
      }));

      function fetchData(_x) {
        return _ref3.apply(this, arguments);
      }

      return fetchData;
    }(),
    bindrefresherrefresh: function bindrefresherrefresh() {
      var _this2 = this;

      this.getBadge();
      var pageNumList = [].concat(this.data.pageNumList);
      var myEventDetail = { isClick: false, index: this.data.index };
      this.triggerEvent('getIndex', myEventDetail);
      pageNumList[this.data.index] = 1;
      this.setData({ pageNumList: pageNumList }, function () {
        _this2.fetchData({ index: _this2.data.index, isRefresh: true });
      });
    },
    bindscrolltolower: function bindscrolltolower() {
      var _this3 = this;

      var index = this.data.value;
      var pageNumList = [].concat(this.data.pageNumList);
      var totalPageList = [].concat(this.data.totalPageList);
      if (pageNumList[index] >= totalPageList[index]) {
        return;
      }
      pageNumList[index] = pageNumList[index] + 1;
      this.setData({ pageNumList: pageNumList }, function () {
        _this3.fetchData({ index: index, isLower: true });
      });
    },
    getBadge: function () {
      var _ref5 = _asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee3() {
        var _ref6, data;

        return regeneratorRuntime.wrap(function _callee3$(_context3) {
          while (1) {
            switch (_context3.prev = _context3.next) {
              case 0:
                if (!this.data.hasInfo) {
                  _context3.next = 6;
                  break;
                }

                _context3.next = 3;
                return this.properties.fetchFunction.getTabBadge();

              case 3:
                _ref6 = _context3.sent;
                data = _ref6.data;

                this.setData({ dot: data });

              case 6:
              case 'end':
                return _context3.stop();
            }
          }
        }, _callee3, this);
      }));

      function getBadge() {
        return _ref5.apply(this, arguments);
      }

      return getBadge;
    }()
  }
});

/***/ })

/******/ });
//# sourceMappingURL=index.js.map