Component({
  /**
   * 组件的属性列表
   */
  properties: {
    count: {
      //最多选择图片的张数，默认9张
      type: Number,
      value: 9,
    },
    uploadImgUrl: {
      //最多选择图片的张数，默认9张
      type: String,
      value: '',
    },
  },

  data: {
    fileList: [], //上传的结果图片集合
  },

  methods: {
    afterRead(event) {
      const { file } = event.detail;
      const { fileList = [] } = this.data;
      fileList.push({ url: file.path });
      this.setData({ fileList });
    },
    //删除图片
    delete(event) {
      const fileList = this.data.fileList;
      fileList.splice(event.detail.index, 1), this.setData({ fileList });
    },
    getFileList() {
      console.log(this.data.fileList);
      this.triggerEvent('getFileList', this.data.fileList);
    },
  },
});
